commit:     095674fda089454fc11f2b4993f62f41693c1da6
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Tue Oct 28 15:55:11 2025 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Tue Nov 11 19:24:01 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=095674fd

gnustep-apps/sogo: add 5.12.4

Bug: https://bugs.gentoo.org/915173
Closes: https://bugs.gentoo.org/835599
Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/44437
Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 gnustep-apps/sogo/Manifest           |   1 +
 gnustep-apps/sogo/sogo-5.12.4.ebuild | 116 +++++++++++++++++++++++++++++++++++
 2 files changed, 117 insertions(+)

diff --git a/gnustep-apps/sogo/Manifest b/gnustep-apps/sogo/Manifest
index f65d6f0ed735..fbed813e8fbb 100644
--- a/gnustep-apps/sogo/Manifest
+++ b/gnustep-apps/sogo/Manifest
@@ -1,2 +1,3 @@
 DIST sogo-5.1.1.tar.gz 34263214 BLAKE2B 
c6a415602c931e4c703608b05036a508513eeee08d53e095ba8fa2a19ca509522ad190f8c1db78698e03818e25f221f76c097016017fc2f0aaba016043c1447e
 SHA512 
6da4472f991da39449d8fdb05371bdc933cff8835d3501a3be475a263acb38ec10ccc43e719fb56e75fe6f5b4acd8f1f0fe3ebf1d8e734f7dbd8f28494baaff6
+DIST sogo-5.12.4.tar.gz 37727804 BLAKE2B 
3b43b3ef1565f5bc6a0969bb9c84e97f3dcb48b955ede4cceb3b5b6fc8477ea30744b5c30fd16ecdc95da4a6a4cdbe6619cc8d66c3f65c649b0d0d239ce9673e
 SHA512 
c16d699176566c1da10e6c468e63abe41da9d86f4444bd83f2d745bc5ae92d38ad2fdd7d78f65b39a5bd54daaf284ffa048834ade0cc1a2c01042dd09b2fe0c1
 DIST sogo-5.2.0.tar.gz 34444687 BLAKE2B 
e5b00bb9a5244086cd0ec39824f9afad0d84ef0b40e5257071a0184f9938ed88fc07654e1d136646cbf0aab08aab2492b17260933d441cfdb7d7baff3a618002
 SHA512 
d2ba521db1edb5c7b9901cc18f2901a1968627b5c1d535e999f321207906d44ced09fec3a9a02df9e6e4d4d315c742d253a60cc12c5c37970674fc6796e6743d

diff --git a/gnustep-apps/sogo/sogo-5.12.4.ebuild 
b/gnustep-apps/sogo/sogo-5.12.4.ebuild
new file mode 100644
index 000000000000..fceb5d8203e3
--- /dev/null
+++ b/gnustep-apps/sogo/sogo-5.12.4.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnustep-2
+
+DESCRIPTION="Groupware server built around OpenGroupware.org and the SOPE 
application server"
+HOMEPAGE="https://www.sogo.nu";
+SRC_URI="https://github.com/Alinto/sogo/archive/SOGo-${PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/sogo-SOGo-${PV}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="activesync gnutls +ssl sodium"
+
+RESTRICT="test"
+PROPERTIES="test_network"
+
+RDEPEND="
+       acct-user/sogo
+       || (
+               dev-libs/libmemcached-awesome
+               dev-libs/libmemcached
+       )
+       dev-libs/libzip:=
+       >=gnustep-libs/sope-${PV}[ldap]
+       net-mail/ytnef
+       net-misc/curl
+       net-misc/memcached
+       virtual/libcrypt:=
+       activesync? ( dev-libs/libwbxml )
+       gnutls? ( net-libs/gnutls:= )
+       !gnutls? ( dev-libs/openssl:0= )
+       sodium? ( dev-libs/libsodium:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND=">=gnustep-base/gnustep-make-2.6.3"
+
+src_prepare() {
+       gnustep-base_src_prepare
+       sed -e "s/validateArgs$//" -i configure \
+               || die
+       if use activesync; then
+               sed -e 's/Tests\/Unit/ActiveSync &/g' \
+                       -i GNUmakefile || die
+       fi
+
+       default
+}
+
+src_configure() {
+       egnustep_env
+
+       local myconf=(
+               --prefix="${EPREFIX}"
+               --disable-strip
+               --with-ssl="${ssl_provider}"
+               $(use_enable debug)
+               $(use_enable sodium)
+       )
+
+       if use ssl ; then
+               if use gnutls ; then
+                       myconf+=( --with-ssl=gnutls )
+               else
+                       myconf+=( --with-ssl=ssl )
+               fi
+       else
+               myconf+=( --with-ssl=none )
+       fi
+
+       # saml2 requires liblasso, mfa requires liboath
+       ./configure "${myconf[@]}" || die "configure failed"
+}
+
+src_test() {
+       # workaround test assumption that libraries are already installed
+       local -x LD_LIBRARY_PATH="$(find "${S}" -name obj -printf 
'%p:')${S}/SoObjects/SOGo/SOGo.framework/Versions/$(ver_cut 
1)/sogo:${LD_LIBRARY_PATH}"
+       default
+}
+
+src_install() {
+       gnustep-base_src_install
+
+       newconfd "${FILESDIR}"/sogod.confd sogod
+       newinitd "${FILESDIR}"/sogod.initd sogod
+
+       insinto /etc/logrotate.d
+       newins Scripts/logrotate sogo
+       newdoc Apache/SOGo.conf SOGo-Apache.conf
+
+       insinto /etc/sogo
+       doins Scripts/sogo.conf
+
+       insinto /etc/cron.d
+       newins Scripts/sogo.cron sogo
+       keepdir /var/log/sogo
+
+       fowners sogo:sogo /var/log/sogo
+       fowners -R root:sogo /etc/sogo
+}
+
+pkg_postinst() {
+       gnustep-base_pkg_postinst
+       elog "SOGo documentation is available online at:"
+       elog "https://www.sogo.nu/support.html#/documentation";
+       elog
+       elog "Apache sample configuration file is available in:"
+       elog "/usr/share/doc/${PF}"
+       if use activesync; then
+               ewarn "In order to use the SOGo ActiveSync support code in 
production environments,"
+               ewarn "you need to get a proper usage license. Check the 
documentation for details."
+       fi
+}

Reply via email to